PHP ��U
前一頁 |  | 下一頁

# ZipArchive::addFile

(no version information, might be only in CVS)

ZipArchive::addFile -- Adds a file to a ZIP archive from the given path

## Description

bool ZipArchive::addFile ( string filename [, string localname] )

Adds a file to a ZIP archive from a given path

## Parameters

filename

  The path to the file to add.

localname

  local name inside ZIP archive.

## Return Values

�\�^��`TRUE`�Ѧ^��`FALSE`�C

## �d��

This example opens a ZIP file archive, reads each file in the archive and prints out its contents. The `test.zip` archive used in this example is one of the test archives in the ext/zip/examples directory.

範例 1. Open and extract

`<?php $zip = new ZipArchive; if ($zip->open('test.zip') === TRUE) { $zip->addFile('/path/to/index.txt'), 'newname.txt'); $zip->close(); echo 'ok'; } else { echo 'failed'; } ?>`

前一頁 | 內容 | 下一頁
zip_read | 上一層 | ZipArchive::addFromString